Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uchicago.src.sim.engine
Class ScheduleGroup

    java.lang.Object
      uchicago.src.sim.engine.BasicAction
          uchicago.src.sim.engine.ScheduleGroup

Direct Known Subclasses:
  RandomScheduleGroup

    public class ScheduleGroup

extends BasicAction

A specialized BasicAction containing other BasicActions. This is used by the scheduling mechanism and should not be used by modelers.

Version:
  $Revision: 1.6 $ $Date: 2004/11/03 19:50:57 $

Field Summary
`protected java.util.ArrayList` | `actions`
`protected ActionQueue` | `queue`

Fields inherited from class uchicago.src.sim.engine.BasicAction
`INTERVAL_UPDATER, ONE_TIME_UPDATER, updater`

Constructor Summary
`ScheduleGroup(ActionQueue queue)`

Method Summary
`void` | `addBasicAction(BasicAction action)`
`void` | `clear()`
`void` | `execute()` Executes this BasicAction.
`void` | `indexSort()` Sorts the BasicActions in this ScheduleGroup according to their indices.
`void` | `removeAction(BasicAction action)`
`void` | `reSchedule(ActionQueue aQueue)` Reschedules all the BasicAction contained by this ScheduleGroup.
`int` | `size()`

Methods inherited from class uchicago.src.sim.engine.BasicAction
`addToGroup, getIntervalTime, getName, getNextTime, setIntervalTime, setName, setNextTime`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### actions

    protected java.util.ArrayList actions

### queue

    protected ActionQueue queue

Constructor Detail

### ScheduleGroup

    public ScheduleGroup(ActionQueue queue)

Method Detail

### addBasicAction

    public void addBasicAction(BasicAction action)

### clear

    public void clear()

### size

    public int size()

### execute

    public void execute()

  Description copied from class: `BasicAction`
  Executes this BasicAction. Typically invokes a Method on some Object.

  Specified by:
    `execute` in class `BasicAction`

### reSchedule

    public void reSchedule(ActionQueue aQueue)

  Reschedules all the BasicAction contained by this ScheduleGroup. Note that this ignores the aQueue parameter and uses the ActionQueue passed in as part the constructor.

  Overrides:
    `reSchedule` in class `BasicAction`

### indexSort

    public void indexSort()

  Sorts the BasicActions in this ScheduleGroup according to their indices.

### removeAction

    public void removeAction(BasicAction action)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD